Hi everyone


I'm in the middle of modding and my itune was below 7.3
end up I updated with the 7.4 but unfortunately it's not
work with my os 10.4.3.

I'm trying to find version 7.3 on the net but all the links rediect
to apple.com and there is not old version available for me to choose.

Anyone can provides me the links or guide me thru this trouble please.
I'm not good at Mac OS, that's why I didn't aware of the version
incompatible.

Thank you